%define name asp2php
%define version 0.75.11
%define release 1mdk
%define prefix %{_prefix}


Name: %{name}
Version: %{version}
Release: %{release}
Summary: Program for converting .asp files to .php files
Copyright: GPL
Group: Development/Other
Source0: %{name}-%{version}.tar.bz2
URL: http://asp2php.naken.cc/
BuildRoot: %{_tmppath}/%{name}-root


%package -n gtkasp2php
Version: %{version}
Summary: Graphical front-end for asp2php
Group: Development/Other
Copyright: GPL
Requires: asp2php gtk+ >= 1.2.0
BuildRequires: gtk+-devel >= 1.2.0

%description
asp2php is a program which can help you convert Micro$oft (tm) Active Server
Pages (tm) to PHP files.

Install this if you intend to migrate from Microsuck, umm, I mean Micro$oft 
(tm) Internet Information Server (tm) to PHP.

%description -n gtkasp2php
gtkasp2php is the gtk-based graphical front-end for asp2php.

Install this if you want a graphical front-end for asp2php.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
%make
%make gtkasp2php

#make 
#make gtkasp2php

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/gtkasp2php

install -m755 asp2php $RPM_BUILD_ROOT%{_bindir}
install -m755 gtkasp2php $RPM_BUILD_ROOT%{_libdir}/gtkasp2php
#install -m755 unipiss $RPM_BUILD_ROOT%{_bindir}
for i in *.xpm *.png;do
   install -m644 $i $RPM_BUILD_ROOT%{_libdir}/gtkasp2php
done


cat << EOF > gtkasp2php.sh
#!/bin/sh
blah=`pwd`
cd /usr/lib/gtkasp2php
exec ./gtkasp2php
duh=$?
cd $blah
exit duh
EOF

install -m755 gtkasp2php.sh $RPM_BUILD_ROOT/%{prefix}/bin/gtkasp2php

cd $RPM_BUILD_ROOT/%{prefix}/lib/gtkasp2php
ln -s ../../bin/asp2php asp2php
ln -s ../../bin/unipiss unipiss

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/asp2php
#%{_bindir}/unipiss
%doc README LICENSE

%files -n gtkasp2php
%defattr(-,root,root)
%{_libdir}/gtkasp2php/gtkasp2php
%{_libdir}/gtkasp2php/*.xpm
%{_libdir}/gtkasp2php/*.png
%{_libdir}/gtkasp2php/asp2php
%{_libdir}/gtkasp2php/unipiss

%changelog
* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.75.11-1mdk
- updated to 0.75.11

* Thu Jul 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.75.1-2mdk
- macros
- BM

* Tue Jul 04 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.75.1-1mdk
- first release for mandrake


